---
title: SVGPathElement.pathLength
slug: Web/API/SVGPathElement/pathLength
tags:
  - API
  - DOM
  - Deprecated
  - NeedsExample
  - Property
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}{{Deprecated_Header("SVG2")}}</div>

<p><span class="seoSummary">The <code><strong>SVGPathElement.pathLength</strong></code> property reflects the {{SVGAttr("pathLength")}} attribute and returns the total length of the path, in user units.</span></p>

<div class="note">
<p><strong>Note:</strong> In SVG 2 this property was moved to the {{DOMxRef("SVGGeometryElement")}} interface, from which the {{DOMxRef("SVGPathElement")}} inherits it.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>pathLength</var> = <var>someElement</var>.pathLength;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "paths.html#__svg__SVGPathElement__pathLength", "SVGPathElement.pathLength")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGPathElement.pathLength")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("SVGGeometryElement.pathLength")}}</li>
</ul>
